Ad Account Targetingsuggestions
Updated: Oct 3, 2025
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Retrieve suggestions for given targeting specs.
Example
GET /v25.0/{ad-account-id}/targetingsuggestions HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
app_storeenum {all_app_stores_for_android_and_ios, amazon_app_store, google_play, itunes, itunes_ipad, fb_canvas, fb_gameroom, windows_store, fb_android_store, windows_10_store, roku_channel_store, instant_game, oculus_app_store, horizon_world, galaxy_store, neon_android_store, digital_turbine_store, apk_pure, apk_monk, apk_mirror, xiaomi, oppo, vivo, bemobi_mobile_store, aptoide_a1_store, uptodown, does_not_exist, none} |
The app store for which this ad is being promoted. This is typically only for app install campaign objectives.
|
limit_typeenum {interests, user_adclusters, behaviors, family_statuses, home_value, income, industries, life_events, interested_in, relationship_statuses, education_statuses, college_years, work_employers, work_positions, education_majors, education_schools, location_categories} |
Used to limit the type of audience to be retrieved.
|
regulated_categoriesarray<enum {NONE, EMPLOYMENT, HOUSING, CREDIT, ISSUES_ELECTIONS_POLITICS, ONLINE_GAMBLING_AND_GAMING, FINANCIAL_PRODUCTS_SERVICES}> |
The regulated categories of the campaign
|
targeting_listlist<JSON or object-like arrays> |
List of targeting specs. Example: [{"type":"interests", "id":1}, {"type":"interests", "id":2}, {"type":"behaviors", "id":3}]
type enum {interests, user_adclusters, behaviors, family_statuses, home_value, income, industries, life_events, interested_in, relationship_statuses, education_statuses, college_years, work_employers, work_positions, education_majors, education_schools, location_categories}id int64Show child parameters |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of AdAccountTargetingUnified nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
190 | Invalid OAuth 2.0 Access Token |
200 | Permissions error |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.